> ## Documentation Index
> Fetch the complete documentation index at: https://jigsaw-13.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Object Detection

> Recognise objects within an image with great accuracy.

### Body

<ParamField body="url" type="string">
  The image url.
</ParamField>

<ParamField body="file_store_key" type="string">
  The key used to store the image on Jigsawstack file. Learn more about how to handle files in Jigsawstack's [Handling Files](/docs/api-reference/handling-files) section.
</ParamField>

<ParamField body="prompts" type="array of strings" optional>
  Array of prompts for targeted object detection. Each prompt must be between 1-150 characters. Optional and nullable.
</ParamField>

<ParamField body="features" type="array of enums" default={["object_detection", "gui"]}>
  Array of features to enable. Available options: `object_detection`, `gui`. Must contain at least one feature.
</ParamField>

<ParamField body="annotated_image" type="boolean" default="false">
  Whether to return an annotated image with detected objects highlighted.
</ParamField>

<ParamField body="return_type" type="enum" default="url">
  Format for returning images. Available options: `url`, `base64`.
</ParamField>

<ParamField body="return_masks" type="boolean" default="false">
  Binary segmentation masks for detected objects.
</ParamField>

<Info>Either `file_store_key` or `url` can be provided not both.</Info>

<Snippet file="header.mdx" />

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="_usage" type="object" optional>
  Usage information for the API call.

  <Expandable title="_usage">
    <ResponseField name="input_tokens" type="number">
      Number of input tokens processed.
    </ResponseField>

    <ResponseField name="output_tokens" type="number">
      Number of output tokens generated.
    </ResponseField>

    <ResponseField name="inference_time_tokens" type="number">
      Number of tokens processed during inference time.
    </ResponseField>

    <ResponseField name="total_tokens" type="number">
      Total number of tokens used (input + output).
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="log_id" type="string" optional>
  A unique identifier for the request
</ResponseField>

<ResponseField name="annotated_image" type="string">
  The annotated image with detected objects highlighted. Only included if `annotated_image=true` and objects/gui\_elements exist. Format depends on `return_type` parameter (URL or base64).
</ResponseField>

<ResponseField name="gui_elements" type="array">
  Array of detected GUI elements. Only included if `features` includes "gui".

  <Expandable title="GuiElement Object">
    <ResponseField name="bounds" type="object">
      Bounding box coordinates.

      <Expandable title="BoundingBox Object">
        <ResponseField name="top_left" type="object">
          Top-left corner coordinates.

          <Expandable title="Point Object">
            <ResponseField name="x" type="number">
              X-coordinate.
            </ResponseField>

            <ResponseField name="y" type="number">
              Y-coordinate.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="top_right" type="object">
          Top-right corner coordinates (same structure as top\_left).
        </ResponseField>

        <ResponseField name="bottom_left" type="object">
          Bottom-left corner coordinates (same structure as top\_left).
        </ResponseField>

        <ResponseField name="bottom_right" type="object">
          Bottom-right corner coordinates (same structure as top\_left).
        </ResponseField>

        <ResponseField name="width" type="number">
          Width of the bounding box.
        </ResponseField>

        <ResponseField name="height" type="number">
          Height of the bounding box.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="content" type="string | null">
      Content of the GUI element. Can be null if no content is detected.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="objects" type="array" optional>
  Array of detected objects. Only included if `features` includes "object\_detection".

  <Expandable title="DetectedObject Object">
    <ResponseField name="bounds" type="object">
      Bounding box coordinates for the detected object (same structure as GUI element bounds).
    </ResponseField>

    <ResponseField name="label" type="string">
      Label describing the detected object.
    </ResponseField>

    <ResponseField name="mask" type="string" optional>
      Object mask image. Format depends on `return_type` parameter (URL or base64). Only present for some objects.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="tags" type="string[]" optional>
  Array of automatically generated tags describing the detected objects and content.
</ResponseField>

<RequestExample>
  ```javascript Javascript theme={null}
  import { JigsawStack } from "jigsawstack";

  const jigsaw = JigsawStack({ apiKey: "your-api-key" });

  const response = await jigsaw.vision.object_detection({
    "url": "https://jigsawstack.com/preview/object-detection-example-input.jpg",
    "features": [
          "object_detection"
    ],
    "annotated_image": true,
    "return_type": "url"
  })
  ```

  ```python Python theme={null}
  from jigsawstack import JigsawStack

  jigsaw = JigsawStack(api_key="your-api-key")

  response = jigsaw.vision.object_detection({
    "url": "https://jigsawstack.com/preview/object-detection-example-input.jpg",
    "features": [
          "object_detection"
    ],
    "annotated_image": True,
    "return_type": "url"
  })
  ```

  ```bash Curl theme={null}
  curl https://api.jigsawstack.com/v1/object_detection \
  -X POST \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: your-api-key' \
  -d '{"url":"https://jigsawstack.com/preview/object-detection-example-input.jpg","features":["object_detection"],"annotated_image":true,"return_type":"url"}'
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api.jigsawstack.com/v1/object_detection');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
  'Content-Type: application/json',
  'x-api-key: your-api-key',
  ]);
  curl_setopt($ch, CURLOPT_POSTFIELDS, '{"url":"https://jigsawstack.com/preview/object-detection-example-input.jpg","features":["object_detection"],"annotated_image":true,"return_type":"url"}');

  $response = curl_exec($ch);

  curl_close($ch);

  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'

  uri = URI('https://api.jigsawstack.com/v1/object_detection')
  req = Net::HTTP::Post.new(uri)
  req.content_type = 'application/json'
  req['x-api-key'] = 'your-api-key'

  req.body = {
  'url' => 'https://jigsawstack.com/preview/object-detection-example-input.jpg',
  'features' => [
  'object_detection'
  ],
  'annotated_image' => true,
  'return_type' => 'url'
  }.to_json

  req_options = {
  use_ssl: uri.scheme == 'https'
  }
  res = Net::HTTP.start(uri.hostname, uri.port, req_options) do |http|
  http.request(req)
  end

  ```

  ```go Go theme={null}
  package main

  import (
  "fmt"
  "io"
  "log"
  "net/http"
  "strings"
  )

  func main() {
  client := &http.Client{}
  var data = strings.NewReader(`{"url":"https://jigsawstack.com/preview/object-detection-example-input.jpg","features":["object_detection"],"annotated_image":true,"return_type":"url"}`)
  req, err := http.NewRequest("POST", "https://api.jigsawstack.com/v1/object_detection", data)
  if err != nil {
  	log.Fatal(err)
  }
  req.Header.Set("Content-Type", "application/json")
  req.Header.Set("x-api-key", "your-api-key")
  resp, err := client.Do(req)
  if err != nil {
  	log.Fatal(err)
  }
  defer resp.Body.Close()
  bodyText, err := io.ReadAll(resp.Body)
  if err != nil {
  	log.Fatal(err)
  }
  fmt.Printf("%s\n", bodyText)
  }

  ```

  ```java Java theme={null}
  import java.io.IOException;
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpRequest.BodyPublishers;
  import java.net.http.HttpResponse;

  HttpClient client = HttpClient.newHttpClient();

  HttpRequest request = HttpRequest.newBuilder()
  .uri(URI.create("https://api.jigsawstack.com/v1/object_detection"))
  .POST(BodyPublishers.ofString("{\"url\":\"https://jigsawstack.com/preview/object-detection-example-input.jpg\",\"features\":[\"object_detection\"],\"annotated_image\":true,\"return_type\":\"url\"}"))
  .setHeader("Content-Type", "application/json")
  .setHeader("x-api-key", "your-api-key")
  .build();

  HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

  ```

  ```swift Swift theme={null}
  import Foundation

  let jsonData = [
  "url": "https://jigsawstack.com/preview/object-detection-example-input.jpg",
  "features": [
      "object_detection"
  ],
  "annotated_image": true,
  "return_type": "url"
  ] as [String : Any]
  let data = try! JSONSerialization.data(withJSONObject: jsonData, options: [])

  let url = URL(string: "https://api.jigsawstack.com/v1/object_detection")!
  let headers = [
  "Content-Type": "application/json",
  "x-api-key": "your-api-key"
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.allHTTPHeaderFields = headers
  request.httpBody = data as Data

  let task = URLSession.shared.dataTask(with: request) { (data, response, error) in
  if let error = error {
      print(error)
  } else if let data = data {
      let str = String(data: data, encoding: .utf8)
      print(str ?? "")
  }
  }

  task.resume()

  ```

  ```dart Dart theme={null}
  import 'package:http/http.dart' as http;

  void main() async {
  final headers = {
  'Content-Type': 'application/json',
  'x-api-key': 'your-api-key',
  };

  final data = '{"url":"https://jigsawstack.com/preview/object-detection-example-input.jpg","features":["object_detection"],"annotated_image":true,"return_type":"url"}';

  final url = Uri.parse('https://api.jigsawstack.com/v1/object_detection');

  final res = await http.post(url, headers: headers, body: data);
  final status = res.statusCode;
  if (status != 200) throw Exception('http.post error: statusCode= $status');

  print(res.body);
  }

  ```

  ```kotlin Kotlin theme={null}
  import java.io.IOException
  import okhttp3.MediaType.Companion.toMediaType
  import okhttp3.OkHttpClient
  import okhttp3.Request
  import okhttp3.RequestBody.Companion.toRequestBody

  val client = OkHttpClient()

  val MEDIA_TYPE = "application/json".toMediaType()

  val requestBody = "{\"url\":\"https://jigsawstack.com/preview/object-detection-example-input.jpg\",\"features\":[\"object_detection\"],\"annotated_image\":true,\"return_type\":\"url\"}"

  val request = Request.Builder()
  .url("https://api.jigsawstack.com/v1/object_detection")
  .post(requestBody.toRequestBody(MEDIA_TYPE))
  .header("Content-Type", "application/json")
  .header("x-api-key", "your-api-key")
  .build()

  client.newCall(request).execute().use { response ->
  if (!response.isSuccessful) throw IOException("Unexpected code $response")
  response.body!!.string()
  }

  ```

  ```csharp C# theme={null}
  using System.Net.Http.Headers;
  using System.Net.Http.Json;

  HttpClient client = new HttpClient();

  HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Post, "https://api.jigsawstack.com/v1/object_detection");
  request.Headers.Add("x-api-key", "your-api-key");
  request.Content = JsonContent.Create(new
  {
  url = "https://jigsawstack.com/preview/object-detection-example-input.jpg",
  features = new List<string> { "object_detection" },
  annotated_image = true,
  return_type = "url"
  });
  request.Content.Headers.ContentType = new MediaTypeHeaderValue("application/json");

  HttpResponseMessage response = await client.SendAsync(request);
  response.EnsureSuccessStatusCode();
  string responseBody = await response.Content.ReadAsStringAsync();

  Console.WriteLine(responseBody);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "annotated_image": "https://jigsawstack-temp.b1e91a466694ad4af04df5d05ca12d93.r2.cloudflarestorage.com/temp/2633695d-7541-40bb-9f07-a77c992bd568.jpg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=7b9a19349842b7b1a9e4c2e19f05b232%2F20250916%2Fauto%2Fs3%2Faws4_request&X-Amz-Date=20250916T185227Z&X-Amz-Expires=604800&X-Amz-Signature=f2781a31a47e6c6154f07b99204ab4995da3dd0435f7b542567c8ba39adc60e5&X-Amz-SignedHeaders=host&x-amz-checksum-mode=ENABLED&x-id=GetObject",
    "objects": [
          {
                "bounds": {
                      "top_left": {
                            "x": 132,
                            "y": 54
                      },
                      "top_right": {
                            "x": 1389,
                            "y": 54
                      },
                      "bottom_left": {
                            "x": 132,
                            "y": 802
                      },
                      "bottom_right": {
                            "x": 1389,
                            "y": 802
                      },
                      "width": 1257,
                      "height": 748
                },
                "label": "TV"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 435,
                            "y": 674
                      },
                      "top_right": {
                            "x": 694,
                            "y": 674
                      },
                      "bottom_left": {
                            "x": 435,
                            "y": 1021
                      },
                      "bottom_right": {
                            "x": 694,
                            "y": 1021
                      },
                      "width": 259,
                      "height": 347
                },
                "label": "Hands_0"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 0,
                            "y": 627
                      },
                      "top_right": {
                            "x": 390,
                            "y": 627
                      },
                      "bottom_left": {
                            "x": 0,
                            "y": 994
                      },
                      "bottom_right": {
                            "x": 390,
                            "y": 994
                      },
                      "width": 390,
                      "height": 367
                },
                "label": "Hands_1"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 108,
                            "y": 667
                      },
                      "top_right": {
                            "x": 592,
                            "y": 667
                      },
                      "bottom_left": {
                            "x": 108,
                            "y": 919
                      },
                      "bottom_right": {
                            "x": 592,
                            "y": 919
                      },
                      "width": 484,
                      "height": 252
                },
                "label": "Controller"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 109,
                            "y": 669
                      },
                      "top_right": {
                            "x": 599,
                            "y": 669
                      },
                      "bottom_left": {
                            "x": 109,
                            "y": 921
                      },
                      "bottom_right": {
                            "x": 599,
                            "y": 921
                      },
                      "width": 490,
                      "height": 252
                },
                "label": "Wii"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 0,
                            "y": 781
                      },
                      "top_right": {
                            "x": 1440,
                            "y": 781
                      },
                      "bottom_left": {
                            "x": 0,
                            "y": 839
                      },
                      "bottom_right": {
                            "x": 1440,
                            "y": 839
                      },
                      "width": 1440,
                      "height": 58
                },
                "label": "Wires_0"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 0,
                            "y": 880
                      },
                      "top_right": {
                            "x": 1440,
                            "y": 880
                      },
                      "bottom_left": {
                            "x": 0,
                            "y": 1033
                      },
                      "bottom_right": {
                            "x": 1440,
                            "y": 1033
                      },
                      "width": 1440,
                      "height": 153
                },
                "label": "Wires_1"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 0,
                            "y": 93
                      },
                      "top_right": {
                            "x": 1440,
                            "y": 93
                      },
                      "bottom_left": {
                            "x": 0,
                            "y": 777
                      },
                      "bottom_right": {
                            "x": 1440,
                            "y": 777
                      },
                      "width": 1440,
                      "height": 684
                },
                "label": "Minecraft"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 0,
                            "y": 134
                      },
                      "top_right": {
                            "x": 1440,
                            "y": 134
                      },
                      "bottom_left": {
                            "x": 0,
                            "y": 708
                      },
                      "bottom_right": {
                            "x": 1440,
                            "y": 708
                      },
                      "width": 1440,
                      "height": 574
                },
                "label": "Castle"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1155,
                            "y": 390
                      },
                      "top_right": {
                            "x": 1302,
                            "y": 390
                      },
                      "bottom_left": {
                            "x": 1155,
                            "y": 482
                      },
                      "bottom_right": {
                            "x": 1302,
                            "y": 482
                      },
                      "width": 147,
                      "height": 92
                },
                "label": "Trees"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 407,
                            "y": 407
                      },
                      "top_right": {
                            "x": 506,
                            "y": 407
                      },
                      "bottom_left": {
                            "x": 407,
                            "y": 455
                      },
                      "bottom_right": {
                            "x": 506,
                            "y": 455
                      },
                      "width": 99,
                      "height": 48
                },
                "label": "Water"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1051,
                            "y": 564
                      },
                      "top_right": {
                            "x": 1161,
                            "y": 564
                      },
                      "bottom_left": {
                            "x": 1051,
                            "y": 609
                      },
                      "bottom_right": {
                            "x": 1161,
                            "y": 609
                      },
                      "width": 110,
                      "height": 45
                },
                "label": "Grass_0"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1206,
                            "y": 611
                      },
                      "top_right": {
                            "x": 1305,
                            "y": 611
                      },
                      "bottom_left": {
                            "x": 1206,
                            "y": 645
                      },
                      "bottom_right": {
                            "x": 1305,
                            "y": 645
                      },
                      "width": 99,
                      "height": 34
                },
                "label": "Grass_1"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1056,
                            "y": 515
                      },
                      "top_right": {
                            "x": 1119,
                            "y": 515
                      },
                      "bottom_left": {
                            "x": 1056,
                            "y": 545
                      },
                      "bottom_right": {
                            "x": 1119,
                            "y": 545
                      },
                      "width": 63,
                      "height": 30
                },
                "label": "Grass_2"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1111,
                            "y": 571
                      },
                      "top_right": {
                            "x": 1164,
                            "y": 571
                      },
                      "bottom_left": {
                            "x": 1111,
                            "y": 606
                      },
                      "bottom_right": {
                            "x": 1164,
                            "y": 606
                      },
                      "width": 53,
                      "height": 35
                },
                "label": "Grass_3"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1112,
                            "y": 583
                      },
                      "top_right": {
                            "x": 1157,
                            "y": 583
                      },
                      "bottom_left": {
                            "x": 1112,
                            "y": 608
                      },
                      "bottom_right": {
                            "x": 1157,
                            "y": 608
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_4"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1112,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1157,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1112,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1157,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_5"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1112,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1157,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1112,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1157,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_6"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1112,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1157,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1112,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1157,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_7"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1112,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1157,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1112,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1157,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_8"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1112,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1157,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1112,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1157,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_9"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1115,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1153,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1115,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1153,
                            "y": 605
                      },
                      "width": 38,
                      "height": 25
                },
                "label": "Grass_10"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1092,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1137,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1092,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1137,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_11"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 606
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 606
                      },
                      "width": 45,
                      "height": 26
                },
                "label": "Grass_12"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1050,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1095,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1050,
                            "y": 606
                      },
                      "bottom_right": {
                            "x": 1095,
                            "y": 606
                      },
                      "width": 45,
                      "height": 26
                },
                "label": "Grass_13"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 606
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 606
                      },
                      "width": 44,
                      "height": 26
                },
                "label": "Grass_14"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 606
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 606
                      },
                      "width": 44,
                      "height": 26
                },
                "label": "Grass_15"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_16"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_17"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_18"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_19"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_20"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_21"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1045,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1089,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1045,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1089,
                            "y": 605
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_22"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1050,
                            "y": 580
                      },
                      "top_right": {
                            "x": 1095,
                            "y": 580
                      },
                      "bottom_left": {
                            "x": 1050,
                            "y": 605
                      },
                      "bottom_right": {
                            "x": 1095,
                            "y": 605
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_23"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 584
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 584
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 609
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 609
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_24"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 610
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_25"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 610
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_26"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 610
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_27"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 610
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_28"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1064,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1109,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1064,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1109,
                            "y": 610
                      },
                      "width": 45,
                      "height": 25
                },
                "label": "Grass_29"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 610
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_30"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 610
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_31"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 610
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_32"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 610
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_33"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 585
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 585
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 610
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 610
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_34"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 586
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 586
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 611
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 611
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_35"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 586
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 586
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 611
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 611
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_36"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 589
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 589
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 614
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 614
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_37"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 24
                },
                "label": "Grass_38"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 594
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 594
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 25
                },
                "label": "Grass_39"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 24
                },
                "label": "Grass_40"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 24
                },
                "label": "Grass_41"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 24
                },
                "label": "Grass_42"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 24
                },
                "label": "Grass_43"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1066,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1110,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1066,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1110,
                            "y": 619
                      },
                      "width": 44,
                      "height": 24
                },
                "label": "Grass_44"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1069,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1107,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1069,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1107,
                            "y": 619
                      },
                      "width": 38,
                      "height": 24
                },
                "label": "Grass_45"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1069,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1107,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1069,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1107,
                            "y": 619
                      },
                      "width": 38,
                      "height": 24
                },
                "label": "Grass_46"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1069,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1107,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1069,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1107,
                            "y": 619
                      },
                      "width": 38,
                      "height": 24
                },
                "label": "Grass_47"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1069,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1107,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1069,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1107,
                            "y": 619
                      },
                      "width": 38,
                      "height": 24
                },
                "label": "Grass_48"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 1069,
                            "y": 595
                      },
                      "top_right": {
                            "x": 1107,
                            "y": 595
                      },
                      "bottom_left": {
                            "x": 1069,
                            "y": 619
                      },
                      "bottom_right": {
                            "x": 1107,
                            "y": 619
                      },
                      "width": 38,
                      "height": 24
                },
                "label": "Grass_49"
          },
          {
                "bounds": {
                      "top_left": {
                            "x": 187,
                            "y": 126
                      },
                      "top_right": {
                            "x": 228,
                            "y": 126
                      },
                      "bottom_left": {
                            "x": 187,
                            "y": 197
                      },
                      "bottom_right": {
                            "x": 228,
                            "y": 197
                      },
                      "width": 41,
                      "height": 71
                },
                "label": "Character"
          }
    ],
    "tags": [
          "TV",
          "Hands",
          "Controller",
          "Table",
          "Console",
          "Wii",
          "Wires",
          "Wall",
          "Minecraft",
          "Sky",
          "Castle",
          "Trees",
          "Water",
          "Grass",
          "Character"
    ],
    "_usage": {
          "input_tokens": 39,
          "output_tokens": 2990,
          "inference_time_tokens": 57445,
          "total_tokens": 60474
    }
  }
  ```
</ResponseExample>
